%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-vorbis
Version:        1.3
Release:        2%{?dist}
Summary:        A Python wrapper for the Ogg Vorbis audio libraries

Group:          Development/Languages
License:        LGPL
URL:            http://www.andrewchatham.com/pyogg/
Source0:        http://www.andrewchatham.com/pyogg/download/pyvorbis-1.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, python-ogg-devel, libvorbis-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
An object-oriented Python binding for the Ogg Vorbis libraries. Ogg is
a multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg Vorbis format.



%prep
%setup -q -n pyvorbis-%{version}


%build
%{__python} config_unix.py
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
# Include files and dirs below %{python_sitelib} (for noarch packages) and
# %{python_sitearch} (for arch-dependent packages) as appropriate, and mark
# *.pyo as %ghost (do not include in package).
%{python_sitearch}/ogg/vorbis.so


%changelog
* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-2
- Improvements in BuildRequires dependencies (point to python-ogg-devel)

* Fri May 19 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-1
- Initial RPM release
